<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFSlide (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFSlide (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFSlide.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideMaster.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFSlide.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFSlide.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFSlide" class="title">Class HSLFSlide</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                       title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFSheet</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.usermodel.HSLFSlide</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                 title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
                            title="interface in org.apache.poi.hslf.usermodel">HSLFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSLFSlide</span>
extends <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
           title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>
implements <a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
              title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</pre>
                <div class="block">This class represents a slide in a PowerPoint Document. It allows
                    access to the text within, and the layout. For now, it only does
                    the text side of things though
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Nick Burch, Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#HSLFSlide-int-int-int-">HSLFSlide</a></span>(int&nbsp;sheetNumber,
                                    int&nbsp;sheetRefId,
                                    int&nbsp;slideNumber)</code>
                                    <div class="block">Create a new Slide instance</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#HSLFSlide-org.apache.poi.hslf.record.Slide-org.apache.poi.hslf.usermodel.HSLFNotes-org.apache.poi.hslf.record.SlideListWithText.SlideAtomsSet-int-int-">HSLFSlide</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/Slide.html"
                                        title="class in org.apache.poi.hslf.record">Slide</a>&nbsp;slide,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                                       title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a>&nbsp;notes,
                                    <a href="../../../../../org/apache/poi/hslf/record/SlideListWithText.SlideAtomsSet.html"
                                       title="class in org.apache.poi.hslf.record">SlideListWithText.SlideAtomsSet</a>&nbsp;atomSet,
                                    int&nbsp;slideIdentifier,
                                    int&nbsp;slideNumber)</code>
                                    <div class="block">Constructs a Slide from the Slide record, and the SlideAtomsSet
                                        containing the text.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#addTitle--">addTitle</a></span>()</code>
                                    <div class="block">Create a <code>TextBox</code> object that represents the slide's
                                        title.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#draw-java.awt.Graphics2D-">draw</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Convenience method to draw a sheet to a graphics context</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFBackground.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFBackground</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getBackground--">getBackground</a></span>()</code>
                                    <div class="block">Background for this slide.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html"
                                        title="class in org.apache.poi.hslf.record">ColorSchemeAtom</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getColorScheme--">getColorScheme</a></span>()</code>
                                    <div class="block">Color scheme for this slide.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFComment.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFComment</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getComments--">getComments</a></span>()</code>
                                    <div class="block">Get the comment(s) for this slide.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getDisplayPlaceholder</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                    <div class="block">In XSLF, slidenumber and date shapes aren't marked as
                                        placeholders
                                        whereas in HSLF they are activated via a HeadersFooter configuration.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getFollowMasterBackground--">getFollowMasterBackground</a></span>()</code>
                                    <div class="block">Whether this slide follows master sheet background</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getFollowMasterColourScheme--">getFollowMasterColourScheme</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getFollowMasterGraphics--">getFollowMasterGraphics</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getFollowMasterObjects--">getFollowMasterObjects</a></span>()</code>
                                    <div class="block">Whether this slide draws master sheet objects</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getFollowMasterScheme--">getFollowMasterScheme</a></span>()</code>
                                    <div class="block">Whether this slide follows master color scheme</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html"
                                        title="class in org.apache.poi.hslf.model">HeadersFooters</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getHeadersFooters--">getHeadersFooters</a></span>()</code>
                                    <div class="block">Header / Footer settings for this slide.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getMasterSheet--">getMasterSheet</a></span>()</code>
                                    <div class="block">Returns master sheet associated with this slide.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getNotes--">getNotes</a></span>()</code>
                                    <div class="block">Returns the Notes Sheet for this slide, or null if there isn't
                                        one
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/StyleTextProp9Atom.html"
                                        title="class in org.apache.poi.hslf.record">StyleTextProp9Atom</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getNumberedListInfo--">getNumberedListInfo</a></span>()</code>
                                    <div class="block">This will return an atom per TextBox, so if the page has two text
                                        boxes the method should return two atoms.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hslf/record/SlideListWithText.SlideAtomsSet.html"
                                        title="class in org.apache.poi.hslf.record">SlideListWithText.SlideAtomsSet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getSlideAtomsSet--">getSlideAtomsSet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getSlideLayout--">getSlideLayout</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getSlideName--">getSlideName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getSlideNumber--">getSlideNumber</a></span>()</code>
                                    <div class="block">Returns the (public facing) page number of this slide</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/Slide.html"
                                        title="class in org.apache.poi.hslf.record">Slide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getSlideRecord--">getSlideRecord</a></span>()</code>
                                    <div class="block">Returns the underlying slide record</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/EscherTextboxWrapper.html"
                                        title="class in org.apache.poi.hslf.record">EscherTextboxWrapper</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getTextboxWrappers--">getTextboxWrappers</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                    <div class="block">Returns an array of all the TextRuns found</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getTitle--">getTitle</a></span>()</code>
                                    <div class="block">
                                        The title is a run of text of type <code>TextHeaderAtom.CENTER_TITLE_TYPE</code>
                                        or
                                        <code>TextHeaderAtom.TITLE_TYPE</code></div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#isHidden--">isHidden</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#onAddTextShape-org.apache.poi.hslf.usermodel.HSLFTextShape-">onAddTextShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>&nbsp;shape)</code>
                                    <div class="block">Subclasses should call this method and update the array of text
                                        runs
                                        when a text shape is added
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#onCreate--">onCreate</a></span>()</code>
                                    <div class="block">Called by SlideShow ater a new slide is created.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setFollowMasterBackground-boolean-">setFollowMasterBackground</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">Sets whether this slide follows master background</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setFollowMasterColourScheme-boolean-">setFollowMasterColourScheme</a></span>(boolean&nbsp;follow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setFollowMasterObjects-boolean-">setFollowMasterObjects</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">Sets whether this slide draws master sheet objects</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setFollowMasterScheme-boolean-">setFollowMasterScheme</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">Sets whether this slide draws master color scheme</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setHidden-boolean-">setHidden</a></span>(boolean&nbsp;hidden)</code>
                                    <div class="block">Sets the slide visibility</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setMasterSheet-org.apache.poi.hslf.usermodel.HSLFMasterSheet-">setMasterSheet</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>&nbsp;master)</code>
                                    <div class="block">Change Master of this slide.</div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setNotes-org.apache.poi.sl.usermodel.Notes-">setNotes</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                        title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;notes)</code>
                                    <div class="block">Sets the Notes that are associated with this.</div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setSlideNumber-int-">setSlideNumber</a></span>(int&nbsp;newSlideNumber)</code>
                                    <div class="block">Changes the Slide's (external facing) page number.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFSheet">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#Z:Z_getSheetNumber--">_getSheetNumber</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#Z:Z_getSheetRefId--">_getSheetRefId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#addShape-org.apache.poi.hslf.usermodel.HSLFShape-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#allocateShapeId--">allocateShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createTextBox--">createTextBox</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholderByTextType-int-">getPlaceholderByTextType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPPDrawing--">getPPDrawing</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getProgrammableTag--">getProgrammableTag</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getSheetContainer--">getSheetContainer</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getSlideShow--">getSlideShow</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#removeShape-org.apache.poi.hslf.usermodel.HSLFShape-">removeShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#setSlideShow-org.apache.poi.hslf.usermodel.HSLFSlideShow-">setSlideShow</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Sheet">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">Sheet</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getSlideShow--">getSlideShow</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.ShapeContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#addShape-S-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTextBox--">createTextBox</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#removeShape-S-">removeShape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFSlide-org.apache.poi.hslf.record.Slide-org.apache.poi.hslf.usermodel.HSLFNotes-org.apache.poi.hslf.record.SlideListWithText.SlideAtomsSet-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFSlide</h4>
                                <pre>public&nbsp;HSLFSlide(<a
                                        href="../../../../../org/apache/poi/hslf/record/Slide.html"
                                        title="class in org.apache.poi.hslf.record">Slide</a>&nbsp;slide,
                 <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                    title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a>&nbsp;notes,
                 <a href="../../../../../org/apache/poi/hslf/record/SlideListWithText.SlideAtomsSet.html"
                    title="class in org.apache.poi.hslf.record">SlideListWithText.SlideAtomsSet</a>&nbsp;atomSet,
                 int&nbsp;slideIdentifier,
                 int&nbsp;slideNumber)</pre>
                                <div class="block">Constructs a Slide from the Slide record, and the SlideAtomsSet
                                    containing the text.
                                    Initializes TextRuns, to provide easier access to the text
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>slide</code> - the Slide record we're based on</dd>
                                    <dd><code>notes</code> - the Notes sheet attached to us</dd>
                                    <dd><code>atomSet</code> - the SlideAtomsSet to get the text from</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSLFSlide-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFSlide</h4>
                                <pre>public&nbsp;HSLFSlide(int&nbsp;sheetNumber,
                 int&nbsp;sheetRefId,
                 int&nbsp;slideNumber)</pre>
                                <div class="block">Create a new Slide instance</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheetNumber</code> - The internal number of the sheet, as used by
                                        PersistPtrHolder
                                    </dd>
                                    <dd><code>slideNumber</code> - The user facing number of the sheet</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNotes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNotes</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                                                    title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a>&nbsp;getNotes()</pre>
                                <div class="block">Returns the Notes Sheet for this slide, or null if there isn't one
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getNotes--">getNotes</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                                title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNotes-org.apache.poi.sl.usermodel.Notes-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNotes</h4>
                                <pre>public&nbsp;void&nbsp;setNotes(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                        title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;notes)</pre>
                                <div class="block">Sets the Notes that are associated with this. Updates the
                                    references in the records to point to the new ID
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setNotes-org.apache.poi.sl.usermodel.Notes-">setNotes</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                                title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSlideNumber-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSlideNumber</h4>
                                <pre>public&nbsp;void&nbsp;setSlideNumber(int&nbsp;newSlideNumber)</pre>
                                <div class="block">Changes the Slide's (external facing) page number.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#reorderSlide-int-int-"><code>HSLFSlideShow.reorderSlide(int,
                                            int)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="onCreate--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>onCreate</h4>
                                <pre>public&nbsp;void&nbsp;onCreate()</pre>
                                <div class="block">Called by SlideShow ater a new slide is created.
                                    <p>
                                        For Slide we need to do the following:
                            <li> set id of the drawing group.
                            <li> set shapeId for the container descriptor and background
                                </p>
    </div>
    <dl>
        <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
        <dd><code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#onCreate--">onCreate</a></code>&nbsp;in
            class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
    </dl>
    </li>
    </ul>
    <a name="addTitle--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>addTitle</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a>&nbsp;addTitle()</pre>
            <div class="block">Create a <code>TextBox</code> object that represents the slide's title.</div>
            <dl>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd><code>TextBox</code> object that represents the slide's title.</dd>
            </dl>
        </li>
    </ul>
    <a name="getTitle--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getTitle</h4>
            <pre>public&nbsp;java.lang.String&nbsp;getTitle()</pre>
            <div class="block"><p>
                The title is a run of text of type <code>TextHeaderAtom.CENTER_TITLE_TYPE</code> or
                <code>TextHeaderAtom.TITLE_TYPE</code>
            </p></div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getTitle--">getTitle</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>title of this slide or null if title is not set</dd>
                <dt><span class="seeLabel">See Also:</span></dt>
                <dd><a href="../../../../../org/apache/poi/hslf/record/TextHeaderAtom.html"
                       title="class in org.apache.poi.hslf.record"><code>TextHeaderAtom</code></a></dd>
            </dl>
        </li>
    </ul>
    <a name="getSlideName--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getSlideName</h4>
            <pre>public&nbsp;java.lang.String&nbsp;getSlideName()</pre>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getSlideName--">getSlideName</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>the slide name, defaults to "Slide[slideNumber]"</dd>
            </dl>
        </li>
    </ul>
    <a name="getTextParagraphs--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getTextParagraphs</h4>
            <pre>public&nbsp;java.util.List&lt;java.util.List&lt;<a
                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;&nbsp;getTextParagraphs()</pre>
            <div class="block">Returns an array of all the TextRuns found</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getTextParagraphs--">getTextParagraphs</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
            </dl>
        </li>
    </ul>
    <a name="getSlideNumber--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getSlideNumber</h4>
            <pre>public&nbsp;int&nbsp;getSlideNumber()</pre>
            <div class="block">Returns the (public facing) page number of this slide</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getSlideNumber--">getSlideNumber</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>the 1-based slide no.</dd>
            </dl>
        </li>
    </ul>
    <a name="getSlideRecord--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getSlideRecord</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/Slide.html"
                                title="class in org.apache.poi.hslf.record">Slide</a>&nbsp;getSlideRecord()</pre>
            <div class="block">Returns the underlying slide record</div>
        </li>
    </ul>
    <a name="getSlideAtomsSet--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getSlideAtomsSet</h4>
            <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hslf/record/SlideListWithText.SlideAtomsSet.html"
                                   title="class in org.apache.poi.hslf.record">SlideListWithText.SlideAtomsSet</a>&nbsp;getSlideAtomsSet()</pre>
            <dl>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>set of records inside <code>SlideListWithtext</code> container
                    which hold text data for this slide (typically for placeholders).
                </dd>
            </dl>
        </li>
    </ul>
    <a name="getMasterSheet--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getMasterSheet</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>&nbsp;getMasterSheet()</pre>
            <div class="block">Returns master sheet associated with this slide.
                It can be either SlideMaster or TitleMaster objects.
            </div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getMasterSheet--">getMasterSheet</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getMasterSheet--">getMasterSheet</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>the master sheet associated with this slide.</dd>
            </dl>
        </li>
    </ul>
    <a name="setMasterSheet-org.apache.poi.hslf.usermodel.HSLFMasterSheet-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setMasterSheet</h4>
            <pre>public&nbsp;void&nbsp;setMasterSheet(<a
                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                    title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>&nbsp;master)</pre>
            <div class="block">Change Master of this slide.</div>
        </li>
    </ul>
    <a name="setFollowMasterBackground-boolean-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setFollowMasterBackground</h4>
            <pre>public&nbsp;void&nbsp;setFollowMasterBackground(boolean&nbsp;flag)</pre>
            <div class="block">Sets whether this slide follows master background</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setFollowMasterBackground-boolean-">setFollowMasterBackground</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>flag</code> - <code>true</code> if the slide follows master,
                    <code>false</code> otherwise
                </dd>
            </dl>
        </li>
    </ul>
    <a name="getFollowMasterBackground--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getFollowMasterBackground</h4>
            <pre>public&nbsp;boolean&nbsp;getFollowMasterBackground()</pre>
            <div class="block">Whether this slide follows master sheet background</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getFollowMasterBackground--">getFollowMasterBackground</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd><code>true</code> if the slide follows master background,
                    <code>false</code> otherwise
                </dd>
            </dl>
        </li>
    </ul>
    <a name="setFollowMasterObjects-boolean-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setFollowMasterObjects</h4>
            <pre>public&nbsp;void&nbsp;setFollowMasterObjects(boolean&nbsp;flag)</pre>
            <div class="block">Sets whether this slide draws master sheet objects</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setFollowMasterObjects-boolean-">setFollowMasterObjects</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>flag</code> - <code>true</code> if the slide draws master sheet objects,
                    <code>false</code> otherwise
                </dd>
            </dl>
        </li>
    </ul>
    <a name="getFollowMasterScheme--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getFollowMasterScheme</h4>
            <pre>public&nbsp;boolean&nbsp;getFollowMasterScheme()</pre>
            <div class="block">Whether this slide follows master color scheme</div>
            <dl>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd><code>true</code> if the slide follows master color scheme,
                    <code>false</code> otherwise
                </dd>
            </dl>
        </li>
    </ul>
    <a name="setFollowMasterScheme-boolean-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setFollowMasterScheme</h4>
            <pre>public&nbsp;void&nbsp;setFollowMasterScheme(boolean&nbsp;flag)</pre>
            <div class="block">Sets whether this slide draws master color scheme</div>
            <dl>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>flag</code> - <code>true</code> if the slide draws master color scheme,
                    <code>false</code> otherwise
                </dd>
            </dl>
        </li>
    </ul>
    <a name="getFollowMasterObjects--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getFollowMasterObjects</h4>
            <pre>public&nbsp;boolean&nbsp;getFollowMasterObjects()</pre>
            <div class="block">Whether this slide draws master sheet objects</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getFollowMasterObjects--">getFollowMasterObjects</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd><code>true</code> if the slide draws master sheet objects,
                    <code>false</code> otherwise
                </dd>
            </dl>
        </li>
    </ul>
    <a name="getBackground--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getBackground</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFBackground.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFBackground</a>&nbsp;getBackground()</pre>
            <div class="block">Background for this slide.</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getBackground--">getBackground</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getBackground--">getBackground</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>the background shape for this sheet.</dd>
            </dl>
        </li>
    </ul>
    <a name="getColorScheme--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getColorScheme</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html"
                                title="class in org.apache.poi.hslf.record">ColorSchemeAtom</a>&nbsp;getColorScheme()</pre>
            <div class="block">Color scheme for this slide.</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getColorScheme--">getColorScheme</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
            </dl>
        </li>
    </ul>
    <a name="getComments--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getComments</h4>
            <pre>public&nbsp;java.util.List&lt;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFComment.html"
                                                  title="class in org.apache.poi.hslf.usermodel">HSLFComment</a>&gt;&nbsp;getComments()</pre>
            <div class="block">Get the comment(s) for this slide.
                Note - for now, only works on PPT 2000 and
                PPT 2003 files. Doesn't work for PPT 97
                ones, as they do their comments oddly.
            </div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getComments--">getComments</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>the comment(s) for this slide</dd>
            </dl>
        </li>
    </ul>
    <a name="getHeadersFooters--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getHeadersFooters</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html"
                                title="class in org.apache.poi.hslf.model">HeadersFooters</a>&nbsp;getHeadersFooters()</pre>
            <div class="block">Header / Footer settings for this slide.</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getHeadersFooters--">getHeadersFooters</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>Header / Footer settings for this slide</dd>
            </dl>
        </li>
    </ul>
    <a name="onAddTextShape-org.apache.poi.hslf.usermodel.HSLFTextShape-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>onAddTextShape</h4>
            <pre>protected&nbsp;void&nbsp;onAddTextShape(<a
                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                    title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>&nbsp;shape)</pre>
            <div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#onAddTextShape-org.apache.poi.hslf.usermodel.HSLFTextShape-">HSLFSheet</a></code></span>
            </div>
            <div class="block">Subclasses should call this method and update the array of text runs
                when a text shape is added
            </div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#onAddTextShape-org.apache.poi.hslf.usermodel.HSLFTextShape-">onAddTextShape</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
            </dl>
        </li>
    </ul>
    <a name="getNumberedListInfo--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getNumberedListInfo</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/StyleTextProp9Atom.html"
                                title="class in org.apache.poi.hslf.record">StyleTextProp9Atom</a>[]&nbsp;getNumberedListInfo()</pre>
            <div class="block">This will return an atom per TextBox, so if the page has two text boxes the method should
                return two atoms.
            </div>
        </li>
    </ul>
    <a name="getTextboxWrappers--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getTextboxWrappers</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/EscherTextboxWrapper.html"
                                title="class in org.apache.poi.hslf.record">EscherTextboxWrapper</a>[]&nbsp;getTextboxWrappers()</pre>
        </li>
    </ul>
    <a name="setHidden-boolean-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setHidden</h4>
            <pre>public&nbsp;void&nbsp;setHidden(boolean&nbsp;hidden)</pre>
            <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                    href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setHidden-boolean-">Slide</a></code></span>
            </div>
            <div class="block">Sets the slide visibility</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setHidden-boolean-">setHidden</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>hidden</code> - slide visibility, if <code>true</code> the slide is hidden, <code>false</code>
                    shows the slide
                </dd>
            </dl>
        </li>
    </ul>
    <a name="isHidden--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>isHidden</h4>
            <pre>public&nbsp;boolean&nbsp;isHidden()</pre>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#isHidden--">isHidden</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>the slide visibility, the slide is hidden when <code>true</code> - or shown when <code>false</code>
                </dd>
            </dl>
        </li>
    </ul>
    <a name="draw-java.awt.Graphics2D-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>draw</h4>
            <pre>public&nbsp;void&nbsp;draw(java.awt.Graphics2D&nbsp;graphics)</pre>
            <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                    href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#draw-java.awt.Graphics2D-">Sheet</a></code></span>
            </div>
            <div class="block">Convenience method to draw a sheet to a graphics context</div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#draw-java.awt.Graphics2D-">draw</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#draw-java.awt.Graphics2D-">draw</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
            </dl>
        </li>
    </ul>
    <a name="getFollowMasterColourScheme--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getFollowMasterColourScheme</h4>
            <pre>public&nbsp;boolean&nbsp;getFollowMasterColourScheme()</pre>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getFollowMasterColourScheme--">getFollowMasterColourScheme</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
            </dl>
        </li>
    </ul>
    <a name="setFollowMasterColourScheme-boolean-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setFollowMasterColourScheme</h4>
            <pre>public&nbsp;void&nbsp;setFollowMasterColourScheme(boolean&nbsp;follow)</pre>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setFollowMasterColourScheme-boolean-">setFollowMasterColourScheme</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
            </dl>
        </li>
    </ul>
    <a name="getFollowMasterGraphics--">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getFollowMasterGraphics</h4>
            <pre>public&nbsp;boolean&nbsp;getFollowMasterGraphics()</pre>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getFollowMasterGraphics--">getFollowMasterGraphics</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getFollowMasterGraphics--">getFollowMasterGraphics</a></code>&nbsp;in
                    class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>whether shapes on the master sheet should be shown. By default master graphics is turned off.
                    Sheets that support the notion of master (slide, slideLayout) should override it and
                    check this setting
                </dd>
            </dl>
        </li>
    </ul>
    <a name="getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getDisplayPlaceholder</h4>
            <pre>public&nbsp;boolean&nbsp;getDisplayPlaceholder(<a
                    href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</pre>
            <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                    href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">Slide</a></code></span>
            </div>
            <div class="block">In XSLF, slidenumber and date shapes aren't marked as placeholders
                whereas in HSLF they are activated via a HeadersFooter configuration.
                This method is used to generalize that handling.
            </div>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a
                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getDisplayPlaceholder</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>placeholder</code> - the placeholder type</dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd><code>true</code> if the placeholder should be displayed/rendered</dd>
            </dl>
        </li>
    </ul>
    <a name="getSlideLayout--">
        <!--   -->
    </a>
    <ul class="blockListLast">
        <li class="blockList">
            <h4>getSlideLayout</h4>
            <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>&nbsp;getSlideLayout()</pre>
            <dl>
                <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                <dd><code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getSlideLayout--">getSlideLayout</a></code>&nbsp;in
                    interface&nbsp;<code><a href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>the assigned slide layout</dd>
            </dl>
        </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFSlide.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideMaster.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFSlide.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFSlide.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
